Package: diffoscope
Version: 84
Severity: wishlist

keybox files are a file format specific to the GnuPG project.

The gnupg-utils package (currently only in experimental, but hopefully
soon to be moved to unstable) ships kbxutil, which should provide
sufficient textual diffs to get a better hint at the changes.

in debian stable, kbxutil used to be shipped in the gnupg package
itself, but depending on gnupg itself will pull in the whole suite
(including per-user daemons like gpg-agent and dirmngr, which aren't
necessary for the public data manipulation needed by diffoscope), so
gnupg-utils is probably a better way to go.

           --dkg

-- System Information:
Debian Release: buster/sid
  APT prefers testing-debug
  APT policy: (500, 'testing-debug'), (500, 'testing'), (500, 'oldstable'), 
(200, 'unstable-debug'), (200, 'unstable'), (1, 'experimental-debug'), (1, 
'experimental')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 4.11.0-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8), 
LANGUAGE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: systemd (via /run/systemd/system)

Versions of packages diffoscope depends on:
ii  python3                3.5.3-3
ii  python3-libarchive-c   2.1-3.1
ii  python3-magic          1:5.30-1
ii  python3-pkg-resources  36.0.1-1

Versions of packages diffoscope recommends:
ii  acl                              2.2.52-3+b1
pn  apktool                          <none>
pn  binutils-multiarch               <none>
ii  bzip2                            1.0.6-8.1
ii  caca-utils                       0.99.beta19-2+b2
pn  colord                           <none>
ii  default-jdk [java-sdk]           2:1.8-59
ii  default-jdk-headless             2:1.8-59
pn  device-tree-compiler             <none>
pn  docx2txt                         <none>
pn  enjarify                         <none>
ii  fontforge-extras                 0.3-4
pn  fp-utils                         <none>
ii  genisoimage                      9:1.1.11-3+b2
ii  gettext                          0.19.8.1-2+b1
ii  ghc                              8.0.1-17+b1
ii  ghostscript                      9.21~dfsg-1
pn  giflib-tools                     <none>
ii  gnupg                            2.1.21-4
ii  imagemagick                      8:6.9.7.4+dfsg-15
ii  imagemagick-6.q16 [imagemagick]  8:6.9.7.4+dfsg-15
pn  jsbeautifier                     <none>
pn  libarchive-tools                 <none>
pn  llvm                             <none>
ii  mono-utils                       4.6.2.7+dfsg-1
ii  odt2txt                          0.5-1+b2
ii  oggvideotools                    0.9.1-4
ii  openjdk-8-jdk [java-sdk]         8u141-b15-3
ii  openssh-client                   1:7.5p1-5
ii  pdftk                            2.02-4+b2
ii  pgpdump                          0.32-0.1
ii  poppler-utils                    0.48.0-2
pn  python3-argcomplete              <none>
ii  python3-debian                   0.1.30
pn  python3-guestfs                  <none>
ii  python3-progressbar              2.3-4
ii  python3-rpm                      4.12.0.2+dfsg1-2+b1
ii  python3-tlsh                     3.4.4+20151206-1+b3
ii  r-base-core                      3.3.3-1
ii  rpm2cpio                         4.12.0.2+dfsg1-2+b1
ii  sng                              1.1.0-1+b1
ii  sqlite3                          3.19.3-3
pn  squashfs-tools                   <none>
ii  tcpdump                          4.9.0-3
ii  unzip                            6.0-21
ii  vim-common                       2:8.0.0197-5
ii  xxd                              2:8.0.0197-5+b1
ii  xz-utils                         5.2.2-1.3

Versions of packages diffoscope suggests:
ii  libjs-jquery  3.1.1-2

-- no debconf information

_______________________________________________
Reproducible-builds mailing list
Reproducible-builds@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/reproducible-builds

Reply via email to